Skip to main content
DELETE
/
v2
/
subscribers
/
{subscriberId}
PHP
declare(strict_types=1);

require 'vendor/autoload.php';

use novu;

$sdk = novu\Novu::builder()
    ->setSecurity(
        'YOUR_SECRET_KEY_HERE'
    )
    ->build();



$response = $sdk->subscribers->delete(
    subscriberId: '<id>'
);

if ($response->removeSubscriberResponseDto !== null) {
    // handle response
}
{
  "acknowledged": true,
  "status": "success"
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

subscriberId
string
required

The identifier of the subscriber

Response

OK

acknowledged
boolean
required

Indicates whether the operation was acknowledged by the server

Example:

true

status
string
required

Status of the subscriber removal operation

Example:

"success"